<?xml version="1.0"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:saxon="http://icl.com/saxon">	
	<xsl:output indent="yes"/>

	<xsl:template match="*">
		<import-export-document>
			<xsl:apply-templates select="/orm-designer/module"/>
		</import-export-document>
	</xsl:template>

	<xsl:template match="/orm-designer/module">
		<import-export-file import-path="{@import-path}" import-format="{@import-format}">
			<atomix-orm>
				<xsl:copy-of select="./*"/>
			</atomix-orm>
		</import-export-file>
	</xsl:template>

</xsl:stylesheet>

<!-- Stylus Studio meta-information - (c) 2004-2009. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="no" name="Convert DbDesigner to OrmDesigner file" userelativepaths="yes" externalpreview="no" url="..\..\..\..\..\ExternalUnitTestFiles\OrmDesigner\Projects\ImportAtomixProject\PluginContacts\Contacts.database.xml" htmlbaseurl=""
		          outputurl="OrmDesignerCore.ormdes.xml" processortype="internal" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none"
		          postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator="">
			<advancedProp name="sInitialMode" value=""/>
			<advancedProp name="bXsltOneIsOkay" value="true"/>
			<advancedProp name="bSchemaAware" value="true"/>
			<advancedProp name="bXml11" value="false"/>
			<advancedProp name="iValidation" value="0"/>
			<advancedProp name="bExtensions" value="true"/>
			<advancedProp name="iWhitespace" value="0"/>
			<advancedProp name="sInitialTemplate" value=""/>
			<advancedProp name="bTinyTree" value="true"/>
			<advancedProp name="bWarnings" value="true"/>
			<advancedProp name="bUseDTD" value="false"/>
			<advancedProp name="iErrorHandling" value="fatal"/>
		</scenario>
		<scenario default="no" name="ConvertDoctrineYamlToXml" userelativepaths="yes" externalpreview="no" url="file:///c:/testout-fromyaml.xml" htmlbaseurl="" outputurl="" processortype="saxon8" useresolver="yes" profilemode="0" profiledepth=""
		          profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal"
		          customvalidator="">
			<advancedProp name="sInitialMode" value=""/>
			<advancedProp name="bXsltOneIsOkay" value="true"/>
			<advancedProp name="bSchemaAware" value="true"/>
			<advancedProp name="bXml11" value="false"/>
			<advancedProp name="iValidation" value="0"/>
			<advancedProp name="bExtensions" value="true"/>
			<advancedProp name="iWhitespace" value="0"/>
			<advancedProp name="sInitialTemplate" value=""/>
			<advancedProp name="bTinyTree" value="true"/>
			<advancedProp name="bWarnings" value="true"/>
			<advancedProp name="bUseDTD" value="false"/>
			<advancedProp name="iErrorHandling" value="fatal"/>
		</scenario>
		<scenario default="no" name="ConvertXmlToDoctrineYaml" userelativepaths="yes" externalpreview="no" url="file:///c:/JobeetDoctrineConverted.xml" htmlbaseurl="" outputurl="" processortype="saxon8" useresolver="yes" profilemode="0" profiledepth=""
		          profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal"
		          customvalidator="">
			<advancedProp name="sInitialMode" value=""/>
			<advancedProp name="bXsltOneIsOkay" value="true"/>
			<advancedProp name="bSchemaAware" value="true"/>
			<advancedProp name="bXml11" value="false"/>
			<advancedProp name="iValidation" value="0"/>
			<advancedProp name="bExtensions" value="true"/>
			<advancedProp name="iWhitespace" value="0"/>
			<advancedProp name="sInitialTemplate" value=""/>
			<advancedProp name="bTinyTree" value="true"/>
			<advancedProp name="bWarnings" value="true"/>
			<advancedProp name="bUseDTD" value="false"/>
			<advancedProp name="iErrorHandling" value="fatal"/>
		</scenario>
		<scenario default="no" name="ConvertXml2Doctr - 2" userelativepaths="yes" externalpreview="no" url="..\..\..\..\..\ExternalUnitTestFiles\OrmDesigner\Projects\Doctrine2\AllIncludeFile\Out\ecommerce.out.xml" htmlbaseurl="" outputurl=""
		          processortype="custom" useresolver="no" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="p:\DependentLibraries\other\libxml\xsltproc.exe -o %3 %2 %1" additionalpath="" additionalclasspath=""
		          postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator="">
			<advancedProp name="sInitialMode" value=""/>
			<advancedProp name="bXsltOneIsOkay" value="true"/>
			<advancedProp name="bSchemaAware" value="true"/>
			<advancedProp name="bXml11" value="false"/>
			<advancedProp name="iValidation" value="0"/>
			<advancedProp name="bExtensions" value="true"/>
			<advancedProp name="iWhitespace" value="0"/>
			<advancedProp name="sInitialTemplate" value=""/>
			<advancedProp name="bTinyTree" value="true"/>
			<advancedProp name="bWarnings" value="true"/>
			<advancedProp name="bUseDTD" value="false"/>
			<advancedProp name="iErrorHandling" value="fatal"/>
		</scenario>
		<scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="file:///v:/orm/US/AtomixOrm.export-1-proj-onefile.xml" htmlbaseurl="" outputurl="" processortype="custom" useresolver="no" profilemode="0" profiledepth=""
		          profilelength="" urlprofilexml="" commandline="p:\DependentLibraries\other\libxml\xsltproc.exe -o %3 %2 %1" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath=""
		          postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator="">
			<advancedProp name="sInitialMode" value=""/>
			<advancedProp name="bXsltOneIsOkay" value="true"/>
			<advancedProp name="bSchemaAware" value="true"/>
			<advancedProp name="bXml11" value="false"/>
			<advancedProp name="iValidation" value="0"/>
			<advancedProp name="bExtensions" value="true"/>
			<advancedProp name="iWhitespace" value="0"/>
			<advancedProp name="sInitialTemplate" value=""/>
			<advancedProp name="bTinyTree" value="true"/>
			<advancedProp name="bWarnings" value="true"/>
			<advancedProp name="bUseDTD" value="false"/>
			<advancedProp name="iErrorHandling" value="fatal"/>
		</scenario>
		<scenario default="no" name="Scenario2" userelativepaths="yes" externalpreview="no" url="..\..\..\..\..\ExternalUnitTestFiles\OrmDesigner\Projects\Doctrine2\AllIncludeFile\Out\navigation.out.xml" htmlbaseurl="" outputurl="" processortype="custom"
		          useresolver="no" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="p:\DependentLibraries\other\libxml\xsltproc.exe -o %3 %2 %1" additionalpath="" additionalclasspath="" postprocessortype="none"
		          postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator="">
			<advancedProp name="sInitialMode" value=""/>
			<advancedProp name="bXsltOneIsOkay" value="true"/>
			<advancedProp name="bSchemaAware" value="true"/>
			<advancedProp name="bXml11" value="false"/>
			<advancedProp name="iValidation" value="0"/>
			<advancedProp name="bExtensions" value="true"/>
			<advancedProp name="iWhitespace" value="0"/>
			<advancedProp name="sInitialTemplate" value=""/>
			<advancedProp name="bTinyTree" value="true"/>
			<advancedProp name="bWarnings" value="true"/>
			<advancedProp name="bUseDTD" value="false"/>
			<advancedProp name="iErrorHandling" value="fatal"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="OrmDesignerCore.ormdes.xml" destSchemaRoot="orm-designer" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no">
			<SourceSchema srcSchemaPath="file:///v:/ORM/ORM/debug_CProjectExporter_DoExport_1.xml" srcSchemaRoot="orm-designer" AssociatedInstance="" loaderFunction="document" loaderFunctionUsesURI="no"/>
		</MapperInfo>
		<MapperBlockPosition>
			<template match="/">
				<block path="orm-designer/xsl:apply-templates" x="316" y="54"/>
			</template>
			<template match="database">
				<block path="module/xsl:call-template" x="359" y="54"/>
			</template>
			<template name="GenTables">
				<block path="xsl:for-each" x="319" y="90"/>
				<block path="xsl:for-each/table/xsl:attribute/xsl:value-of" x="279" y="108"/>
				<block path="xsl:for-each/table/xsl:call-template" x="359" y="90"/>
				<block path="xsl:for-each/table/xsl:call-template[1]" x="399" y="90"/>
			</template>
			<template name="GenTableColumns">
				<block path="xsl:for-each" x="359" y="126"/>
				<block path="xsl:for-each/column/xsl:attribute/xsl:value-of" x="399" y="144"/>
			</template>
			<template name="GenTableFKs">
				<block path="xsl:for-each" x="359" y="54"/>
				<block path="xsl:for-each/foreign-key/xsl:attribute/xsl:value-of" x="399" y="72"/>
				<block path="xsl:for-each/foreign-key/xsl:for-each" x="359" y="90"/>
				<block path="xsl:for-each/foreign-key/xsl:for-each/column/xsl:attribute/xsl:value-of" x="399" y="108"/>
				<block path="xsl:for-each/foreign-key/xsl:for-each/column/xsl:attribute[1]/xsl:value-of" x="359" y="126"/>
			</template>
			<template match="table"></template>
			<template match="*"></template>
		</MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
-->